Skip to navigation

Update Dataset

Update Dataset.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dataset_idstringRequired
ID of the Dataset.

Request

This endpoint expects an object.
allowCustomFieldDeletionbooleanOptional
When true, custom fields present on the object but omitted from the update payload will be deleted. When false or omitted, omitting existing custom fields is an error. Defaults to false.
archiveReasonstringOptional
archivedbooleanOptional
customFieldsmap from strings to anyOptional
folderIdstringOptional
namestringOptional

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
creatorobjectOptional
customFieldslist of objects or nullOptional
dataFrameIdstring or nullOptional
displayIdstring or nullOptional

A human-readable identifier for this dataset (e.g. “DATASET-1”). Automatically generated and unique within the tenant.

folderobjectOptional
idstringOptional
modifiedAtstringOptional
namestring or nullOptional

Errors

400
Dataset Update Request Bad Request Error
403
Dataset Update Request Forbidden Error
404
Dataset Update Request Not Found Error
409
Dataset Update Request Conflict Error
429
Dataset Update Request Too Many Requests Error
500
Dataset Update Request Internal Server Error